petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSEvaluateWLTE

Evaluate the weighted local truncation error norm at the end of a time step with a given order of accuracy.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSEvaluateWLTE(TS ts,NormType wnormtype,PetscInt *order,PetscReal *wlte)

Collective on TS Many br

### Input Arguments

| ts | - time stepping context Many br
| wnormtype | - norm type, either NORM_2 or NORM_INFINITY Many br
| order | - optional, desired order for the error evaluation or PETSC_DECIDE Many br

### Output Arguments

| order | - optional, the actual order of the error evaluation Many br
| wlte | - the weighted local truncation error norm Many br

Many br

### Notes

If the timestepper cannot evaluate the error in a particular step Many br(eg. in the first step or restart steps after event handling), Many brthis routine returns wlte=-1.0 . Many br

### See Also

TSStep(), TSAdapt, TSErrorWeightedNorm()

Level:advanced
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages